View Issue Details

IDProjectCategoryView StatusLast Update
0005453Kali Linux[All Projects] Kali Package Bugpublic2019-05-27 09:28
ReporterRoseDeSable Assigned Tosbrun  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2019.1 
Target VersionFixed in Version 
Summary0005453: Handler cannot load paylod
DescriptionHello,
 I'm using meterpreter for two types of systems: Android (samsung tablet) and Windows 10 (notebook). Up to Thursday last week allthings worked good. But since the update of kali last Friday or today (Monday) the handler has a problem to load the payload:

(UUID: vlw6aduh) Exception handling request: Problem retrieving payload: undefined method `payloads' for #<Mdm::Workspace:0x0000555f31571a30>. See log for more details.
^C[-] Exploit failed [user-interrupt]: Interrupt

This is the case for my both test devices.

Here is the scrip for starting the handler for the android device:

use multi/handler
set payload android/meterpreter/reverse_https
set LHOST 11.0.0.1
set LURI galaxy_tab_a6
set SessionCommunicationTimeout 10
run

Especially for the android system I'm using the trojan since one year without any problems. For windows since the last two weeks without failure. And now this ...
For Windows I have twoe tep more:

set handlersslcert /root/.mitmproxy/mitmproxy-ca.pem
set stagerverifysslcert true

Here I must make a true ssl-encryption to bypass the antivirus software


Activities

RoseDeSable

2019-05-20 12:36

reporter   ~0010590

Here is the framework-log:

[05/20/2019 14:19:16] [d(0)] core: Created user based module store
[05/20/2019 14:20:18] [e(0)] core: Problem retrieving payload: undefined method `payloads' for #<Mdm::Workspace:0x00007f1ec40c52a8>
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/activemodel-4.2.11.1/lib/active_model/attribute_methods.rb:433:in `method_missing'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/db_manager/payload.rb:23:in `block in payloads'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/activerecord-4.2.11.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:292:in `with_connection'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/db_manager/payload.rb:17:in `payloads'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/payload_data_proxy.rb:7:in `block in payloads'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/core.rb:166:in `data_service_operation'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/payload_data_proxy.rb:5:in `payloads'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/handler.rb:234:in `create_session'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/handler/reverse_http.rb:391:in `on_request'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/handler/reverse_http.rb:234:in `block in setup_handler'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/rex/proto/http/handler/proc.rb:38:in `on_request'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/rex/proto/http/server.rb:368:in `dispatch_request'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/rex/proto/http/server.rb:302:in `on_client_data'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/rex/proto/http/server.rb:161:in `block in start'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:48:in `on_client_data'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:199:in `block in monitor_clients'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:197:in `each'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:197:in `monitor_clients'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:73:in `block in start'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/rex/thread_factory.rb:22:in `block in spawn'
[05/20/2019 14:20:18] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/thread_manager.rb:106:in `block in spawn'
[05/20/2019 14:20:18] [e(0)] rex: Proc::on_request: RuntimeError: Problem retrieving payload: undefined method `payloads' for #<Mdm::Workspace:0x00007f1ec40c52a8>. See log for more details.

/usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/core.rb:174:in `log_error'
/usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/payload_data_proxy.rb:10:in `rescue in payloads'
/usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/payload_data_proxy.rb:3:in `payloads'
/usr/share/metasploit-framework/lib/msf/core/handler.rb:234:in `create_session'
/usr/share/metasploit-framework/lib/msf/core/handler/reverse_http.rb:391:in `on_request'
/usr/share/metasploit-framework/lib/msf/core/handler/reverse_http.rb:234:in `block in setup_handler'
/usr/share/metasploit-framework/lib/rex/proto/http/handler/proc.rb:38:in `on_request'
/usr/share/metasploit-framework/lib/rex/proto/http/server.rb:368:in `dispatch_request'
/usr/share/metasploit-framework/lib/rex/proto/http/server.rb:302:in `on_client_data'
/usr/share/metasploit-framework/lib/rex/proto/http/server.rb:161:in `block in start'
/usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:48:in `on_client_data'
/usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:199:in `block in monitor_clients'
/usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:197:in `each'
/usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:197:in `monitor_clients'
/usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:73:in `block in start'
/usr/share/metasploit-framework/lib/rex/thread_factory.rb:22:in `block in spawn'
/usr/share/metasploit-framework/lib/msf/core/thread_manager.rb:106:in `block in spawn'
[05/20/2019 14:20:28] [e(0)] core: Problem retrieving payload: undefined method `payloads' for #<Mdm::Workspace:0x00007f1ec42cfc60>
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/activemodel-4.2.11.1/lib/active_model/attribute_methods.rb:433:in `method_missing'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/db_manager/payload.rb:23:in `block in payloads'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/activerecord-4.2.11.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:292:in `with_connection'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/db_manager/payload.rb:17:in `payloads'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/payload_data_proxy.rb:7:in `block in payloads'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/core.rb:166:in `data_service_operation'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/payload_data_proxy.rb:5:in `payloads'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/handler.rb:234:in `create_session'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/handler/reverse_http.rb:391:in `on_request'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/handler/reverse_http.rb:234:in `block in setup_handler'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/rex/proto/http/handler/proc.rb:38:in `on_request'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/rex/proto/http/server.rb:368:in `dispatch_request'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/rex/proto/http/server.rb:302:in `on_client_data'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/rex/proto/http/server.rb:161:in `block in start'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:48:in `on_client_data'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:199:in `block in monitor_clients'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:197:in `each'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:197:in `monitor_clients'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:73:in `block in start'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/rex/thread_factory.rb:22:in `block in spawn'
[05/20/2019 14:20:28] [e(0)] core: /usr/share/metasploit-framework/lib/msf/core/thread_manager.rb:106:in `block in spawn'
[05/20/2019 14:20:28] [e(0)] rex: Proc::on_request: RuntimeError: Problem retrieving payload: undefined method `payloads' for #<Mdm::Workspace:0x00007f1ec42cfc60>. See log for more details.

/usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/core.rb:174:in `log_error'
/usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/payload_data_proxy.rb:10:in `rescue in payloads'
/usr/share/metasploit-framework/lib/metasploit/framework/data_service/proxy/payload_data_proxy.rb:3:in `payloads'
/usr/share/metasploit-framework/lib/msf/core/handler.rb:234:in `create_session'
/usr/share/metasploit-framework/lib/msf/core/handler/reverse_http.rb:391:in `on_request'
/usr/share/metasploit-framework/lib/msf/core/handler/reverse_http.rb:234:in `block in setup_handler'
/usr/share/metasploit-framework/lib/rex/proto/http/handler/proc.rb:38:in `on_request'
/usr/share/metasploit-framework/lib/rex/proto/http/server.rb:368:in `dispatch_request'
/usr/share/metasploit-framework/lib/rex/proto/http/server.rb:302:in `on_client_data'
/usr/share/metasploit-framework/lib/rex/proto/http/server.rb:161:in `block in start'
/usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:48:in `on_client_data'
/usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:199:in `block in monitor_clients'
/usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:197:in `each'
/usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:197:in `monitor_clients'
/usr/share/metasploit-framework/vendor/bundle/ruby/2.5.0/gems/rex-core-0.1.13/lib/rex/io/stream_server.rb:73:in `block in start'
/usr/share/metasploit-framework/lib/rex/thread_factory.rb:22:in `block in spawn'
/usr/share/metasploit-framework/lib/msf/core/thread_manager.rb:106:in `block in spawn'
[05/20/2019 14:30:12] [e(0)] core: Exploit failed (multi/handler): Interrupt

RoseDeSable

2019-05-20 13:58

reporter   ~0010591

Hello,
 here is may upgrade-protocol

2019-05-16 07:20:02 upgrade metasploit-framework:amd64 5.0.20-0kali1 5.0.21-0kali1

After this timestamp I tested up to Friday without problems

2019-05-20 07:45:38 upgrade metasploit-framework:amd64 5.0.21-0kali1 5.0.22-0kali1

After this time the problem exists ....

RoseDeSable

2019-05-21 08:39

reporter   ~0010596

Hello,
 after stopping the postgres-service, metasploit cannot connect its database, and the payload is successfully loaded. What's now ?

RoseDeSable

2019-05-21 09:04

reporter   ~0010597

more tryings

msfdb reinit doesn't resolve the failure

only working with no database resolve my problem

RoseDeSable

2019-05-27 06:38

reporter   ~0010633

After upgrading the framework to 5.0.23-dev the problem is solved

sbrun

2019-05-27 09:28

manager   ~0010634

fixed in version 5.0.23 according to the reporter's information

Issue History

Date Modified Username Field Change
2019-05-20 12:02 RoseDeSable New Issue
2019-05-20 12:36 RoseDeSable Note Added: 0010590
2019-05-20 13:58 RoseDeSable Note Added: 0010591
2019-05-21 08:39 RoseDeSable Note Added: 0010596
2019-05-21 09:04 RoseDeSable Note Added: 0010597
2019-05-27 06:38 RoseDeSable Note Added: 0010633
2019-05-27 09:28 sbrun Assigned To => sbrun
2019-05-27 09:28 sbrun Status new => resolved
2019-05-27 09:28 sbrun Resolution open => fixed
2019-05-27 09:28 sbrun Note Added: 0010634